`omitempty` 是 Go 语言中用于 JSON 序列化时的一个指令，它是在 struct 字段的标签（tag）中使用的。当一个字段的标签包含了 `omitempty`，这意味着：

- 如果该字段的值是零值（如 int 的 0，string 的 ""，指针的 nil 等），那么在使用 `json.Marshal` 进行 JSON 序列化时，这个字段将被忽略，不会出现在序列化后的 JSON 字符串中。
- 这对于可选字段或者希望减少无用字段对输出JSON大小的影响是非常有用的。

在代码中，`omitempty` 用于 `CFN` 和 `Code` 字段。这意味着如果 `CFN` 字段为空（在上传意识数据时可能不需要这个字段），或者当响应状态码不是 201 时 `Code` 字段无效，它们就不会被包含在序列化的 JSON 中。这有助于保持 JSON 的简洁和高效。
