package message

type Message struct {
	Status     int         `json:"status,omitempty"`
	Msg        string      `json:"message,omitempty"`
	ActivityId int64       `json:"activity_id,omitempty"`
	Token      string      `json:"token,omitempty"`
	Data       interface{} `json:"data,omitempty"`
}

const (
	SUCCESS         = 200
	ERROR           = 500
	NotFound        = 404
	Illegal         = 505
	ErrorSystem     = 600
	REQUEST_SUCCESS = 1
	REQUEST_FAULT   = 0

	// 用户模块 1000...
	ErrorUserAdd         = 1001
	ErrorEmpty           = 1110
	SuccessUserPerfect   = 1113
	SuccessUserAdd       = 1111
	SuccessUserLogin     = 1112
	ErrorUserEncrypt     = 1002
	ErrorCheckEmail      = 1004
	SuccessEmailExist    = 101
	SuccessEmailNotExist = 102
	ErrorCheckPhone      = 1005
	SuccessPhoneExist    = 100
	ErrorPhoneNotExist   = 103
	ErrorCheckNick       = 1006
	SuccessNickExist     = 10
	SuccessNickNotExist  = 17
	ErrorUserPerfect     = 1007
	//SuccessUserPerfect    = 1021
	SuccessTokenSelect          = 1047
	ErrorAssestExpiredOrUnexist = 1045
	SuccessAssestUse            = 1046
	SuccessAssestRemove         = 1055
	SuccessCareerRawerdList     = 1056
	ErrorAchievementNotExit     = 1057
	ErrorAchievementNotStarted  = 1058
	ErrorSexConditionsNotMet    = 1070
	ErrorAchievementReceive     = 1071
	ErrorUnderReview            = 1072
	ErrorAchievementAuditFail   = 1073
	ErrorAchievementRepeatPick  = 1074
	SuccessAchievementReview    = 1075
	ErrorAchievementUndone      = 1076
	SuccessAchievementAdd       = 1077
	SuccessGetAchievementList   = 1078
	ErrorGetRole                = 1008
	ErrorAuthRole               = 1039
	ErrorUpdatePassword         = 1009
	SuccessUpdatePassword       = 1042
	ErrorUserLogin              = 1010
	ErrorGetUserInfo            = 1011
	ErrorNoAuthKey              = 1012
	ErrorGetAuthCode            = 1013
	ErrorAddAuthCode            = 1014
	ErrorAuthCode               = 1015
	ErrorAuthCodeBeenSend       = 1016
	SuccessAuthCodeBeenSend     = 1019
	ErrorAuthCodeCount          = 1017
	ErrorAuthCodeConv           = 1018
	ErrorAuthUserCode           = 1027
	ErrorAuthUserNick           = 1030
	ErrorAuthUserEmail          = 1028
	ErrorAuthUserPassword       = 1029
	ErrorCheckUserAccount       = 1033
	ErrorCheckUserPassword      = 1034
	ErrorUUIDNotExist           = 1035
	ErrorPhoneEmialExist        = 1036
	SuccessAuthIdExist          = 1037
	SuccessGetUserInfo          = 1038
	SuccessUpdateUserInfo       = 1041
	ErrorUpdateUserInfo         = 1040
	SuccessVerificationImg      = 1043
	ErrorVerificationImg        = 1044
	SuccessGeneratedImg         = 1048
	ErrorItemUsage              = 1049
	SuccessShopSelect           = 1059
	ErrorMoneyExit              = 1061
	ErrorManagerVerify          = 1060
	ErrorNotAuthorized          = 1064
	ErrorLevelNoSatisfy         = 1065
	ErrorAuthNoSatisfy          = 1066
	ErrorRepeatPickUp           = 1067
	SuccessSatisfy              = 1068
	ErrorPhoneBindWx            = 1080
	ErrorItemEquip              = 1063
	ErrorItemNoEquip            = 1062
	// 活动模块 2000...
	ErrorAddActivity        = 2001
	ErrorCheckActivity      = 2004
	SuccessActivityExist    = 2005
	SuccessActivityNotExist = 2006
	ErrorUpdateActivity     = 2007
	SuccessRewardSave       = 2008
	//SuccessUpdateActivity       = 2008
	ErrorGetActivityList = 2009
	//SuccessGetActivityList      = 2010
	ErrorActivityId                  = 2011
	ErrorActivityDataNil             = 2012
	ErrorCheckActivityId             = 2013
	SuccessActivityIdExist           = 2014
	SuccessActivityIdNotExist        = 2015
	ErrorGetNewActivity              = 2016
	ErrorGetNewActivityNotExist      = 2017
	ErrorActiveCodeNotExist          = 2018
	SuccessActiveCodeExist           = 2019
	ErrorActiveCodeExistButBeUse     = 2020
	ErrorActiveCodeExistButAgainUser = 2021
	SuccessActiveCodeAcitve          = 2022
	SuccessGetInvitationCode         = 2023
	ErrorInvitationCodeNotExist      = 2024
	ErrorInvitationCodeExist         = 2025
	SuccessInviteRewardsDetil        = 2026
	// 参与模块 3000...
	ErrorJoinAdd        = 3001
	ErrorCheckJoin      = 3002
	SuccessJoinExist    = 3003
	SuccessJoinNotExist = 3004
	ErrorUpdateJoin     = 3005
	//SuccessUpdateJoin     = 3006
	ErrorGetJoinList = 3007
	ErrorJoinDataNil = 3008
	//SuccessJoinAdd        = 3009
	//SuccessGetJoinList    = 3010
	ErrorCheckJoinId      = 3011
	SuccessJoinIdExist    = 3012
	SuccessJoinIdNotExist = 3013
	SuccessGetGoldPrice   = 3014
	ErrorIllegalCurrency  = 3015
	SuccessGetPayUrl      = 3016
	ErrorGoldPrice        = 3017
	ErrorCreateOrder      = 3018

	// jwt模块 4000...
	ErrorGenToken              = 4001
	ErrorParseToken            = 4002
	ErrorInvalidToken          = 4003
	ErrorHeaderNil             = 4004
	ErrorHeaderFormat          = 4005
	ErrorTokenSession          = 4006
	SuccessTokenRefresh        = 4007
	SuccessGetUserPermission   = 4008
	ErrorPermissionIsEmpty     = 4009
	ErrorUserPermission        = 4010
	ErrorGetWxUInfoByState     = 4011
	ErrorWxUserRegister        = 4012
	ErrorAuthAchieveUpperLimit = 4013
	ErrorAuthExpired           = 4014

	// 邮箱模块 5000
	ErrorEmailDial             = 5001
	ErrorEmailAuthUser         = 5002
	ErrorEmailCallMail         = 5003
	ErrorEmailCallRcpt         = 5004
	ErrorEmailCallData         = 5005
	ErrorEmailWriteStream      = 5006
	ErrorEmailCloseWriteStream = 5007
	ErrorEmailCloseServer      = 5008
	//SuccessEmailSendAuthCode   = 5009

	// 地理库模块 6000
	ErrorGeoGetOneProvince = 6000
	ErrorGeoGetTwoCity     = 6001
	ErrorGeoGetThreeCounty = 6002
	ErrorGeoGetFourTown    = 6003
	ErrorGeoGetOtherCity   = 6004
	//SuccessGeoGetOneProvince = 6005
	SuccessGeoGetTwoCity     = 6006
	SuccessGeoGetThreeCounty = 6007
	SuccessGeoGetFourTown    = 6008
	//SuccessGeoGetOtherCity   = 6009

	// 其他
	ErrorBindData             = 8001
	ErrorDataFormat           = 8002
	ErrorGetRowsAffected      = 1003
	ErrorGetLastInsertId      = 2002
	ErrorTimeOut              = 4444
	ErrorItemAxist            = 9003
	ErrorIpCheck              = 9001
	ErrorIplocal              = 9002
	SuccessAuthIdAdded        = 9004
	SuccessItemAxist          = 9006
	SuccessBundleOpen         = 9009
	ErrorItemUse              = 9008
	SuccessAuthHistory        = 9007
	SuccessGetTasks           = 9010
	SuccessLearningData       = 9011
	ErrorRefreshTask          = 9012
	SuccessRefreshTask        = 9013
	ErrorGetFile              = 9014
	ErrorSaveFile             = 9015
	SuccessSaveFile           = 9016
	ErrorFileType             = 9112
	ErrorSurrender            = 9017
	SuccessOppoSurrender      = 9018
	SuccessSureAnswer         = 9019
	ErrorTeamFail             = 9020
	SuccessTeamVictory        = 9021
	FailTeammateOffline       = 9022
	SuccessOppoOffline        = 9023
	ErrorIllegalWord          = 9024
	FailUserLostConn          = 9025
	ErrorDescCannotOwnWord    = 9026
	SuccessUserReconnect      = 9027
	SuccessCancel             = 9028
	ErrorCreditInsuff         = 9029
	ErrorNotEnoughPoints      = 9030
	SuccessGetUserPayRecord   = 9031
	SuccessGetGameRecord      = 9032
	SuccessGetUserEquip       = 9033
	SuccessUserWearEquip      = 9034
	ErrorUserWearEquip        = 9035
	ErrorGetWearEquip         = 9036
	ErrorGetNotOrder          = 9037
	SuccessGetOrderStatus     = 9038
	ErrorNoUniqueEquip        = 9039
	ErrorNoSuchWord           = 9040
	SuccessGetWords           = 9041
	ErrorAudioExpired         = 9042
	ErrorCouponUseMuch        = 9043
	ErrorCouponExpired        = 9044
	ErrorCommodityUseCoupon   = 9045
	ErrorIllegalCoupons       = 9046
	ErrorMallDiscountIsNotUse = 9047
	ErrorReqRealName          = 9048
	SuccessRealName           = 9049
	ErrorCheckIdCard          = 9050
	ErrorRealName             = 9051
	ErrorFileSizeBeyond       = 9052
	ErrorSysCreateFolder      = 9053
	ErrorCheckReg             = 9054
	ErrorQuery                = 9055
	ErrorUserNotProxy         = 9056
	SuccessGetInviteData      = 9057
	SuccessGetUpToken         = 9058
	ErrorUpMaximum            = 9059
	ErrorNoAuthUserUpData     = 9060
	ErrorRepeatDesc           = 9111
	//token
	SuccessTokenCheck      = 1050
	ErrorTokenCheck        = 1051
	ErrorrefreshTokenCheck = 1052
	ErrorIpTokenCheck      = 1053
	SuccessShooping        = 1054
	ErrorAuthTokenCheck    = 1069
)

var codeMsg = map[int]string{
	SUCCESS:     "OK",
	ERROR:       "FAIL",
	NotFound:    "NotFount",
	ErrorSystem: "系统错误, 请联系管理员",

	// 用户模块

	ErrorEmpty:                  "不可以輸入空值",
	ErrorUserAdd:                "注册用户失败",
	SuccessUserAdd:              "注册用户成功",
	SuccessUserLogin:            "登录用户成功",
	ErrorUserEncrypt:            "密码加密失败",
	ErrorCheckEmail:             "检查邮箱失败",
	SuccessEmailExist:           "邮箱号已被注册",
	SuccessEmailNotExist:        "邮箱号未注册",
	ErrorCheckPhone:             "检查手机号失败",
	SuccessPhoneExist:           "手机号已被注册",
	ErrorPhoneNotExist:          "手机号未注册",
	ErrorCheckNick:              "检查昵称失败",
	SuccessNickExist:            "昵称已被注册",
	SuccessNickNotExist:         "昵称未注册",
	ErrorUserPerfect:            "完善用户信息失败",
	SuccessUserPerfect:          "完善信息成功",
	ErrorGetRole:                "获取角色权限失败",
	ErrorAuthRole:               "用户无权限",
	ErrorUpdatePassword:         "修改密码失败",
	ErrorPhoneEmialExist:        "邮箱号手机号已被注册",
	SuccessUpdatePassword:       "修改密码成功",
	ErrorUserLogin:              "账户或密码错误",
	ErrorGetUserInfo:            "获取用户信息失败",
	SuccessGetUserInfo:          "获取用户信息成功",
	ErrorNoAuthKey:              "验证码错误",
	ErrorGetAuthCode:            "查找验证码失败",
	ErrorAddAuthCode:            "新增验证码失败",
	ErrorAuthCode:               "验证码错误,请检查后输入",
	ErrorAuthCodeBeenSend:       "验证码已发送,请稍后在试",
	SuccessAuthCodeBeenSend:     "验证码成功发送",
	ErrorAuthCodeCount:          "验证码发送次数达到限制,请稍后在试",
	ErrorAuthCodeConv:           "验证码转换失败",
	ErrorAuthUserCode:           "验证码长度不正确",
	ErrorAuthUserNick:           "昵称格式错误",
	ErrorAuthUserEmail:          "邮箱格式错误",
	ErrorAuthUserPassword:       "密码格式错误",
	ErrorCheckUserAccount:       "账户错误",
	ErrorCheckUserPassword:      "密码错误",
	ErrorUUIDNotExist:           "未获取到uuid",
	SuccessAuthIdExist:          "授權已存在",
	SuccessUpdateUserInfo:       "更新用戶信息成功",
	ErrorUpdateUserInfo:         "更新用戶信息失敗",
	SuccessTokenSelect:          "授权令牌查询成功",
	ErrorAssestExpiredOrUnexist: "物品不存在或者过期",
	SuccessVerificationImg:      "图片验证成功",
	ErrorVerificationImg:        "图片验证失败",
	SuccessGeneratedImg:         "图片生成成功",
	ErrorItemUsage:              "物品使用错误,当前已是永久，无法重复使用",
	ErrorItemEquip:              "物品装备错误,当前已经装备，请勿重复操作",
	ErrorItemNoEquip:            "物品卸下错误,当前已经卸下，请勿重复操作",
	SuccessShopSelect:           "商品获取成功",
	ErrorMoneyExit:              "余额不足",
	ErrorManagerVerify:          "管理员验证失败",
	ErrorNotAuthorized:          "当前设备暂无授权",
	ErrorLevelNoSatisfy:         "等级不够，无法领取",
	ErrorAuthNoSatisfy:          "请先开通VIP再领取",
	ErrorRepeatPickUp:           "礼包已领取",
	SuccessSatisfy:              "领取成功",
	ErrorPhoneBindWx:            "该手机号已绑定其他微信！",
	// 活动模块
	ErrorAddActivity:        "新增活动信息失败",
	ErrorCheckActivity:      "检查活动信息失败",
	SuccessActivityExist:    "活动信息已存在",
	SuccessRewardSave:       "奖励列表操作成功",
	SuccessActivityNotExist: "活动信息不存在",
	ErrorUpdateActivity:     "修改活动信息失败",
	//SuccessUpdateActivity:       "更新活动信息成功",
	ErrorGetActivityList: "获取活动列表失败",
	//SuccessGetActivityList:      "获取活动列表成功",
	ErrorActivityId:                  "活动ID数据错误",
	ErrorActivityDataNil:             "未获取到活动列表",
	ErrorCheckActivityId:             "检查活动ID失败",
	SuccessActivityIdExist:           "活动ID存在",
	SuccessActivityIdNotExist:        "活动ID不存在",
	ErrorGetNewActivity:              "获取最新活动失败",
	ErrorGetNewActivityNotExist:      "未获取到最新活动",
	ErrorActiveCodeNotExist:          "激活碼不存在",
	ErrorInvitationCodeNotExist:      "邀请码不存在",
	SuccessActiveCodeExist:           "激活碼可以使用",
	ErrorActiveCodeExistButBeUse:     "激活碼已經被使用",
	ErrorActiveCodeExistButAgainUser: "您已經用過相似激活碼",
	SuccessActiveCodeAcitve:          "激活碼激活成功",
	SuccessGetInvitationCode:         "创建邀请码成功",
	ErrorInvitationCodeExist:         "邀请码已存在",
	SuccessInviteRewardsDetil:        "传火奖励列表返回成功",
	SuccessAssestUse:                 "物品使用成功",
	SuccessAssestRemove:              "物品卸下成功",
	SuccessCareerRawerdList:          "获取生涯奖励列表成功",
	ErrorAchievementNotExit:          "成就不存在",
	ErrorAchievementNotStarted:       "该成就未开始",
	ErrorSexConditionsNotMet:         "您的性别不满足领取条件",
	ErrorAchievementReceive:          "您已经领取过了该组的其他成就，无法领取该成就",
	ErrorUnderReview:                 "该成就还在审核中，无法领取",
	ErrorAchievementAuditFail:        "该成就审核失败，请查看错误原因并重新提交审核",
	ErrorAchievementRepeatPick:       "成就已领取，请勿重复领取",
	SuccessAchievementReview:         "成就奖励领取成功",
	ErrorAchievementUndone:           "该成就完成条件未满足，请先完成条件",
	SuccessAchievementAdd:            "觉卿成就添加成功",
	SuccessGetAchievementList:        "获取成就列表成功",
	// 参与模块
	ErrorJoinAdd:        "参与活动失败",
	ErrorCheckJoin:      "检查参与状态失败",
	SuccessJoinExist:    "已参与该活动",
	SuccessJoinNotExist: "未参与该活动",
	ErrorUpdateJoin:     "修改参与状态失败",
	//SuccessUpdateJoin:     "修改参与状态成功",
	ErrorGetJoinList: "获取参与列表失败",
	ErrorJoinDataNil: "未获取到参与列表",
	//SuccessJoinAdd:        "参与活动成功",
	//SuccessGetJoinList:    "获取参与列表成功",
	ErrorCheckJoinId:      "检查参与ID失败",
	SuccessJoinIdExist:    "参与ID存在",
	SuccessJoinIdNotExist: "参与ID不存在",
	SuccessGetGoldPrice:   "获取可充值币种成功",
	ErrorIllegalCurrency:  "非法货币",
	SuccessGetPayUrl:      "获取支付链接成功",
	ErrorGoldPrice:        "爬取黄金价格失败",
	ErrorCreateOrder:      "创建订单失败",

	// jwt模块
	ErrorGenToken:              "生成Token失败",
	ErrorParseToken:            "验证Token失败",
	ErrorInvalidToken:          "无效Token",
	ErrorHeaderNil:             "请求头Auth为空",
	ErrorHeaderFormat:          "请求头Auth格式有误",
	ErrorTokenSession:          "Token已过期",
	SuccessTokenRefresh:        "生成Token成功",
	SuccessGetUserPermission:   "获取用户权限成功",
	ErrorPermissionIsEmpty:     "基础权限表为空，获取失败",
	ErrorUserPermission:        "今日刷新任务已达上限！",
	ErrorGetWxUInfoByState:     "无法找到state对应的用户信息！",
	ErrorWxUserRegister:        "该微信还未绑定手机号，请先进行绑定！",
	ErrorAuthAchieveUpperLimit: "该授权令牌已达到可授权上限",
	ErrorAuthExpired:           "授权已过期",

	// 邮箱模块
	ErrorEmailDial:             "连接邮箱服务器失败",
	ErrorEmailAuthUser:         "邮箱账户验证失败",
	ErrorEmailCallMail:         "邮箱账户呼叫服务器Mail失败",
	ErrorEmailCallRcpt:         "邮箱账户呼叫服务器Rcpt失败",
	ErrorEmailCallData:         "邮箱账户呼叫服务器Data失败",
	ErrorEmailWriteStream:      "邮箱数据流写入失败",
	ErrorEmailCloseWriteStream: "关闭邮箱写入流失败",
	ErrorEmailCloseServer:      "关闭邮箱服务器失败",
	//SuccessEmailSendAuthCode:   "发送验证码成功",

	// 地理库模块
	ErrorGeoGetOneProvince: "获取第一级省市失败",
	ErrorGeoGetTwoCity:     "获取第二级州市失败",
	ErrorGeoGetThreeCounty: "获取第三级区县失败",
	ErrorGeoGetFourTown:    "获取第四级乡镇失败",
	ErrorGeoGetOtherCity:   "获取城市列表失败",
	//SuccessGeoGetOneProvince: "获取第一级省市成功",
	SuccessGeoGetTwoCity:     "获取第二级州市成功",
	SuccessGeoGetThreeCounty: "获取第三级区县成功",
	SuccessGeoGetFourTown:    "获取第四级乡镇成功",
	//SuccessGeoGetOtherCity:   "获取城市列表成功",
	SuccessBundleOpen: "包裹打开成功",
	// 其他
	ErrorBindData:             "绑定数据失败",
	ErrorDataFormat:           "数据格式错误",
	ErrorGetRowsAffected:      "获取操作影响行数失败",
	ErrorGetLastInsertId:      "获取最后插入行ID失败",
	ErrorTimeOut:              "超時！",
	ErrorItemAxist:            "物品不存在！",
	SuccessAuthIdAdded:        "設備已授權",
	SuccessItemAxist:          "物品查找成功！",
	Illegal:                   "非法請求",
	ErrorItemUse:              "物品已使用！",
	SuccessAuthHistory:        "历史授权查找成功！",
	SuccessGetTasks:           "用户每日任务获取成功！",
	SuccessLearningData:       "学习数据记录成功！",
	ErrorRefreshTask:          "任务刷新失败，当前任务已完成或当前暂无任务！",
	SuccessRefreshTask:        "任务刷新成功！",
	ErrorGetFile:              "文件获取失败！",
	ErrorSaveFile:             "文件保存失败！",
	SuccessSaveFile:           "文件保存成功！",
	ErrorFileType:             "未知的文件类型！",
	ErrorSurrender:            "队友投降！",
	SuccessOppoSurrender:      "对手投降！",
	ErrorTeamFail:             "虽败犹荣！",
	SuccessTeamVictory:        "您的队伍胜利了！",
	SuccessSureAnswer:         "确定答案！",
	FailTeammateOffline:       "队友离线超时未连接，您的队伍输了！",
	SuccessOppoOffline:        "对手离线超时未连接，您的队伍赢了！",
	ErrorIllegalWord:          "非法单词",
	FailUserLostConn:          "用户已失去连接",
	ErrorDescCannotOwnWord:    "描述内容不能包含己方单词！",
	SuccessUserReconnect:      "用户已重新连接！",
	SuccessCancel:             "取消成功！",
	ErrorCreditInsuff:         "您已被系统归类为老赖，请先恢复信用分再进行游戏！",
	ErrorNotEnoughPoints:      "积分不足，无法开始游戏！",
	SuccessGetUserPayRecord:   "获取历史订单记录！",
	SuccessGetGameRecord:      "获取碟码战游戏历史记录成功",
	SuccessGetUserEquip:       "获取用户已装备的装备成功",
	SuccessUserWearEquip:      "用户装备穿戴成功",
	ErrorUserWearEquip:        "该装备已装备完成，请勿重复装备",
	ErrorGetWearEquip:         "用户暂无已装备的装备",
	ErrorGetNotOrder:          "订单不存在",
	SuccessGetOrderStatus:     "订单状态查询成功",
	ErrorNoUniqueEquip:        "该装备非唯一性装备，换一个装备试试",
	ErrorNoSuchWord:           "查无此词",
	SuccessGetWords:           "获取单词列表成功",
	ErrorAudioExpired:         "音频链接已过期",
	ErrorCouponUseMuch:        "优惠卷使用过多，请重新选择优惠卷",
	ErrorCouponExpired:        "优惠卷已过期或不存在",
	ErrorCommodityUseCoupon:   "该商品不可用此优惠卷",
	ErrorIllegalCoupons:       "非法优惠卷",
	ErrorMallDiscountIsNotUse: "商城打折期间该优惠卷不可用",
	ErrorRepeatDesc:           "该内容已描述过，请勿重复描述！",
	ErrorReqRealName:          "请求第三方实名接口失败！",
	SuccessRealName:           "实名成功！",
	ErrorRealName:             "实名未通过！",
	ErrorCheckIdCard:          "身份证号校验失败，请输入正确的身份证号！",
	ErrorFileSizeBeyond:       "文件大小超出限定范围，最大5M！",
	ErrorSysCreateFolder:      "服务器错误，创建文件夹失败！",
	ErrorCheckReg:             "未知的第三方平台！",
	ErrorQuery:                "查询异常,请稍后重试",
	ErrorUserNotProxy:         "该用户非一、二级代理，无法查看数据",
	SuccessGetInviteData:      "获取传火数据成功",
	SuccessGetUpToken:         "获取凭证成功",
	ErrorUpMaximum:            "已达到最大上传限制",
	ErrorNoAuthUserUpData:     "非授权用户无法上传数据",
	//IP
	ErrorIpCheck:           "ip格式錯誤",
	ErrorIplocal:           "ip已經在異地登陸",
	SuccessTokenCheck:      "token驗證成功",
	ErrorTokenCheck:        "token驗證失敗",
	ErrorIpTokenCheck:      "token驗證ip失敗",
	ErrorAuthTokenCheck:    "该账号已于另一台设备登录",
	ErrorrefreshTokenCheck: "refreshtoken驗證失敗",
	SuccessShooping:        "购物成功！",
}

func GetMsg(code int) string {
	return codeMsg[code]
}
